Add and register a profile to courses on their transcript
Adds and registers one or more courses on a student's transcript. If a course is not yet on the transcript, it is added first. If it is already present but unregistered, the student is registered. Processing stops at the first invalid course ID — any preceding valid courses will have been registered successfully.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
- Type: stringrole
_id requiredUnique identifier of the role.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/profiles/profiles/{profile_id}/roles/{role_id}/transcript/courses/register
curl https://ff-business-school.fullfabric.cloud/apis/profiles/profiles/507f1f77bcf86cd799439011/roles/507f1f77bcf86cd799439011/transcript/courses/register \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6979e931f398a61715789adb",
"study_plan_id": "664cc3fe9a52af742f49d429",
"profile_id": "6385bdd4976a7719120108e9",
"created_at": 1709597233,
"updated_at": 1776330820,
"transcript_subjects": [
{
"id": "6979e931f398a61715789adc",
"course_type": "Core",
"credits": 12,
"course_id": "6385baad976a7719120008ca",
"subject_id": "6385baad976a7719120008ca",
"counts_towards_curricular_grade": true,
"counts_towards_total_credits": true
},
{
"id": "6979e931f398a61715789add",
"course_type": "Elective",
"credits": 8,
"course_id": "6385baad976a7719120008cb",
"subject_id": "6385baad976a7719120008cb",
"counts_towards_curricular_grade": true,
"counts_towards_total_credits": true
}
],
"registrations": []
}